classification
Title: linecache.py add lazycache to __all__ and use dict.clear to clear the cache
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lisroach Nosy List: akuchling, ganziqim, lisroach, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-11-30 02:57 by ganziqim, last changed 2020-03-21 00:28 by akuchling. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4603 closed ganziqim, 2017-11-30 02:57
PR 4641 merged ganziqim, 2017-11-30 03:12
PR 10130 closed thatiparthy, 2018-10-26 15:22
Messages (5)
msg307406 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-12-01 19:46
These seems to be reasonable suggestions.

Lisa, would you care to review the patch?
msg307409 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-12-01 20:04
Could you please explain your suggestion ganziqim?

The patch looks like a collection of unrelated changes mostly changing the formatting of the code. Usually we don't do such changes. If there is a semantical change, it is hidden in a source churn.
msg307419 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2017-12-02 02:45
I think these changes look good, ganziqim has real code improvements (in the form of adding lazycache to __all__ and using clear() in clearchache), as well as improving the code formatting for readability.
msg328571 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-26 16:57
Since all proposed PRs just change formatting, I suggest to close this issue.
msg364724 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2020-03-21 00:28
Patch has been applied.
History
Date User Action Args
2020-03-21 00:28:33akuchlingsetstatus: open -> closed

nosy: + akuchling
messages: + msg364724

resolution: fixed
stage: patch review -> resolved
2018-10-26 16:57:40serhiy.storchakasetmessages: + msg328571
2018-10-26 15:22:04thatiparthysetpull_requests: + pull_request9462
2017-12-02 02:45:54lisroachsetmessages: + msg307419
2017-12-01 20:04:51serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg307409
2017-12-01 19:46:54rhettingersetassignee: lisroach

messages: + msg307406
nosy: + lisroach, rhettinger
2017-11-30 03:12:26ganziqimsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4555
2017-11-30 02:57:02ganziqimcreate